Bug 374561 - Anaconda crashing when choosing Macedonian (Македонски)
Anaconda crashing when choosing Macedonian (Македонски)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
8
All Linux
low Severity urgent
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 08:04 EST by Arangel Angov
Modified: 2009-01-09 03:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 03:12:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arangel Angov 2007-11-10 08:04:32 EST
Description of problem:
When trying to choose Macedonian (Македонски) as a language in the last 3
releases of Fedora (including Fedora 8 now) anaconda crashes not allowing the
user to install Fedora at all. I couldn't get the traceback from vmware but it's
very easy to reproduce.

Version-Release number of selected component (if applicable):


How reproducible:
Start installation, choose Macedonian (Македонски) and press Next.

Steps to Reproduce:
1.Boot Fedora installation.
2.Choose Macedonian (Македонски) in anaconda.
3.Press the Next button.
  
Actual results:
Anaconda crashes.

Expected results:
Anaconda should continue to work in Macedonian throughout the whole installation
process.

Additional info:
Nobody is able to install Fedora when they choose Macedonian in the installer
and this is the case with at least the last 3-4 releases of Fedora. If you don't
try it in English you might think that the installation is not working at all.
Comment 1 Chris Lumens 2007-11-12 12:38:44 EST
The problem here is that the Macedonian translation doesn't provide a
Plural-Forms and that Python's gettext.py module crashes on empty Plural-Forms.
 I will add one myself and also move this bug to Python for a proper fix there.

Python maintainer - the problem here appears to be the bug discussed at
http://bugs.python.org/issue1448060.  I'm not sure if the patch at the bottom
will fix the problem, but it looks good to me.

The relevant part of the anaconda traceback is:
File "/tmp/updates/rhpl/translate.py", line 108, in setDomain
  self.updateCachedCatPaths()
File "/tmp/updates/rhpl/translate.py", line 142, in updateCachedCatPaths
  catalog = gettext.GNUTranslation(mofile)
File "/usr/lib/python2.5/gettext.py", line 180, in __init__
  self._parse(fp)
File "/usr/lib/python2.5/gettext.py", line 316, in _parse
  plural = v[1].split('plural=')[1]
Comment 2 Arangel Angov 2008-03-03 12:05:15 EST
http://translate.fedoraproject.org/POT/anaconda.master/anaconda.master.mk.po 

Plural-Forms are present here:

"Plural-Forms: nplurals=3; plural=(n==1 || n%10==1 ? 0 : 1)\n"
Comment 3 Noura El hawary 2008-11-26 08:10:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Noura El hawary 2009-01-09 03:12:43 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.